Issue 4914 - "normal" view option needed
"normal" view option needed
Status: REOPENED
Product: Writer
Classification: Application
Component: viewing
OOo 1.0.0
All All
: P3 trivial with 281 votes (vote)
: ---
Assigned To: Mathias_Bauer
: oooqa, rfe_eval_ok
: 21627 24016 37294 44172 51471 55608 63048 78369 83057 115953 118120 (view as issue list)
Depends on: 81480
Blocks: 126098
  Show dependency treegraph
 
Reported: 2002-05-15 20:11 UTC by Unknown
Modified: 2015-02-12 16:07 UTC (History)
31 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Unknown 2002-05-15 20:11:39 UTC
The Word Processor component of OpenOffice 1.0 has a default view, with margins 
and big spaces for page breaks; as well as an "online view" which simulates how 
the page will look if published on the web. It also needs the MS Word "Normal" 
view, which shows just the text, with no left hand margin space, and no extra 
space for page breaks (just a dotted line). I write a lot of simple text and 
don't need extra formatting, and all the extra space taken up for margins and 
page breaks is just useless to me. I much prefer a more "text editor" type 
approach, which MS Word supports.
Comment 1 aschrage 2002-05-15 23:28:13 UTC
I also want to support that this feature is added. As a long time
MS-Word user it would ease for me the process in moving to OpenOffice
for good. I think that is also true for many other people.
Comment 2 eric.savary 2003-04-13 02:47:00 UTC
ES->BH: please tak over
Comment 3 eric.savary 2003-04-13 02:47:44 UTC
Reassinged to BH
Comment 4 loucrazy 2004-02-12 10:44:46 UTC
I would like to point out another reason to add a "normal" view to OOo writer.

Suppose you have many columns on a page.
If you repeatedly press PageDown while you are on the first column of page 1, 
you will move on to the bottom of column 1, then you'll continue to column 1 of 
page 2. (This happens both in MS Word with the Print Layout view and in OOo 
Writer in its only view)

This behaviour is fine if I'm checking the page layout (which is what one would 
do in the Print Layout view of MS Word).

On the other hand, if I'm only interested in the text at this stage, I'd rather 
follow the text flow. In MS Word, I'd select the "Normal" view, and be 
dispensed with the rendition of columns.

This is why I feel this feature is needed in OOo Writer, too.

Thank you for your attention.
Comment 5 sbishop 2004-03-19 07:37:18 UTC
Lack of this mode was the only thing that might make my wife revert to Word '97. In particular, the 
feature of 'Normal View' she wants is the collapsing of space between pages (no headers, footers, or 
grey background). However, 'Online Layout' mode does not show the page breaks or page numbers that 
she uses to navigate around large documents (she is a novelist if people are collecting use cases - 
outline mode isn't particularly useful to her). The waste of vertical space particularly irritates her, as too 
much is already lost due to menu bars and the standard aspect ratio.
Comment 6 t8m 2004-04-22 21:23:39 UTC
*** Issue 21627 has been marked as a duplicate of this issue. ***
Comment 7 xkesh 2004-05-08 09:05:40 UTC
In "Normal" view you can resize the wordprocessor window keeping the font zoom
(e.g. 150%) and still see the text lines without horizontal scrolling. Useful
for small screens (laptops) or for parallel working with multiple windows opened
side by side. If you write a lot of text you definitely need the "Normal" view -
this option I really miss in OOo, and because of it I have to prefer MSWord on
Windows operating systems.
Comment 8 lohmaier 2004-09-23 22:05:18 UTC
reassigning.
Comment 9 lohmaier 2004-11-17 18:33:02 UTC
*** Issue 37294 has been marked as a duplicate of this issue. ***
Comment 10 jnoreiko 2004-11-18 14:17:44 UTC
If you want to avoid the "MS Word does it so we do to" thing, how about calling
it "Scroll view"?
Comment 11 flibby05 2005-03-05 17:33:52 UTC
*** Issue 44172 has been marked as a duplicate of this issue. ***
Comment 12 bilbo13 2005-03-12 00:05:05 UTC
Yes please, a "normal" view would be a great improvement. 
Comment 13 tarragon 2005-07-06 00:10:19 UTC
This is THE make-or-break issue that might cause me to stop using OOo Writer.
Page Layout view is fine for a one-page document such as a letter, or when I'm
ready to print a multipage document; but 90% of the time I am working on a draft
text, and the formatting just gets in the way. Specific issues:
1) I work with long documents and find it very distracting to have huge breaks
between pages, which typically do not represent logical divisions of the text.   
2) Some docs I work with have just a few lines of text per page--in page layout
view, this means I can only see a few lines on the entire screen! "Normal" view
would allow me to see multiple short pages on a single screen. 
3) The page breaks and blank borders waste a significant amount of space on the
screen.
Comment 14 bobharvey 2005-07-06 09:10:00 UTC
I don't feel this is an important thing to copy from word on an as-is basis.   
 
But there is a strong case for a 'Body text only' editing view which has a lot 
in common with the much-vaunted 'normal' view.  The elimination of headers and 
footers and the grey space is a very good idea, and dealing with illustrations 
- I would not suppress them entirely, but replace them with an icon at their 
anchor place. 
 
I would also suggest that the display of formatting of headers etc. is 
simplified (limiting representation of space above, for example, limiting font 
size) to ensure the maximum amount of text can be fitted on the screen. 
 
We need product differentiation though.  It would be interesting to offer a 
floating preview of the page view to accompany the body-text-only view. 
Comment 15 rsearjeant 2005-07-06 12:51:25 UTC
I'd like to reinforce my support for this issue.  (I've used the maximum 
permissible 2 of my votes for it).

I think I disagree with BobHarvery on the need to differentiate.  My opinion is 
that 'normal view' should closely follow the Word model: we're already 
following (even mimicking) Word in so many other areas (e.g. 'Styles and 
Formatting') that differentiation for the sake of it seems a bit of a waste of 
time.

This *is* a make/break issue for some folk, and a significant productivity and 
convenience issue for the rest of us, so what's the minimum acceptable spec. 
for this?

For me, the key things to cut out are the page margins and page-gaps: 
everything else should be shown.  Page breaks can be shown as a dotted line (as 
in Word).  The rest of the content should be rendered normally.   That would do 
as a minimal spec.

Putting placeholders in place of diagrams or pictures would probably be a bad 
idea - people would be continually switching back to page layout view to see 
what the page would 'really' look like.  Having the floating preview window is 
a nice idea, but I wonder about the runtime overhead of sync'ing this?

Can a 'simple normal-view' which just cuts out the dead space be prototyped-up 
and put either into a separate download or put into the next build?  Is this 
feature really so hard to do?  What are the estimates from the developers?  How 
do the priorities get fixed?


Comment 16 n8ur 2005-07-25 17:05:52 UTC
This is a really important feature.  My wife has asked me three times to 
install Word on our Linux box because she hates working in page mode.  And so 
do I.  When you need to concentrate on the content rather than the 
presentation, something like the "normal" view in Word is dramatically more 
effective.
Comment 17 agent4043 2005-07-26 21:19:08 UTC
I've been trying to convert my wife to OOo for some time now.  Her only
complaint is the page layout view.  As a novalist, she is distracted by the page
borders and wants to see a continuous workspace to let her ideas flow.  We would
love to see this added to OOo soon.

Thank you!
Comment 18 jdwyah 2005-09-13 17:25:58 UTC
Me 30. Just switched, but it's tough to concentrate on long documents when your
eyes have to switch between pages. I don't need anything but this to be a happy
camper.

>For me, the key things to cut out are the page margins and page-gaps: 
>everything else should be shown.  Page breaks can be shown as a dotted line (as 
>in Word).  The rest of the content should be rendered normally.   That would do 
>as a minimal spec.

yes!
Comment 19 rdr 2005-09-17 00:42:28 UTC
Aside from adding my voice to the request for this feature, I would like to
agree and disagree with BobHarvey and RSeargeant.

Word is not the only program to implement this feature; it is a standard
component of wp/dtp. In WordPerfect, which I used from v. 4.2 to 8, I think it
was called "Default Mode" -- not terribly descriptive, but no less so than
MSWord's ubiquitous "Normal this" and "Normal that." Quark and PageMaker and,
now, Scribus, different beasts entirely, also provide a means of editing a
continuous flow of text even if it stradles/jumps many pages and is linked
through umpteen text boxes (I believe the feature is called something like "Edit
Story"). The need is present and the examples numerous. Even Abiword has got it
implemented - though they've chosen to imitate Word to the letter.

We therefore most certainly do not have to ape Word. Simply provide a
well-thought-out implementation of the functionality, give it a name that makes
sense (something along the lines of "Text-Flow Edit" is my humble suggestion),
and people for whom it matters will not look back.

I work as a translator and can spend hours on end editing/proofreading in OOo...
I would dearly, dearly love this feature to be implemented.

BTW, this "Normal" view makes the application more responsive as it doesn't have
to work so hard on displaying layout - that, at least, was my experience of it
in WP.
Comment 20 lohmaier 2005-10-08 14:16:38 UTC
*** Issue 51471 has been marked as a duplicate of this issue. ***
Comment 21 lohmaier 2005-10-08 14:18:27 UTC
*** Issue 55608 has been marked as a duplicate of this issue. ***
Comment 22 antigenic 2005-10-10 12:09:24 UTC
Hear, hear!  I am new to OOo but immediately realized that a MS Word-like Normal
option is definitely needed for document composing!
(In fact, i notice this issue was brought up 2 years ago, and it is
incomprehensible to me that it is still unresolved - )

Cheers
Comment 23 rsearjeant 2005-10-10 13:35:34 UTC
Antigenic:

I've given up hope. I've returned to using MS Word.  I'll keep an eye on
Writer's progress, but unless there are major changes in direction, I doubt I'll
 participate any more with testing OOo.

OOo Writer could so easily be every bit as good as (perhaps even better than)
Word, but there just doesn't seem to be a strong enough will to achieve that. 
The OOo project direction is vague and apparently unfocussed.  I've found it
impossible to understand how priorities are set (who sets them, and how?) and
the Issue List just seems to be a sort of /dev/null sink for community comments.  

The 2.0 release, though better in some detailed ways, simply isn't the
significant leap forward claimed by the OOo propaganda.  They are completely 
schizophrenic when it comes to MS Office: why can't implementing 'Normal View'
be as important as implementing (or apeing) things like 'Styles and Formatting'
or Word's Drawing toolbar (even down to its default location).

Sorry for this rant.  I'm sure the OOo apparatchiks will chide me for this,
possibly even remove this comment, but I don't care any longer.  The question
is, do they really want to improve this thing?

Comment 24 antigenic 2005-10-10 15:20:29 UTC
I concur.  And myself, being a translator (=text), I simply will not be using
OOo without a view amenable to easy text scrolling, i.e. Normal view.

I would add that, even more than "do they want to improve OOo", the bottom line
is *do they want people migrating over*?  That cannot happen unless certain
user-noted crucial features are included.  
(For example, another issue that has also apparently been shelved or ignored was
saving MS Word files with password protection (although MS password-protected
files can be opened).  Well, too many potential users will never cross over
because they absolutely need to save password-protected Word files for clients.
 Forget any other features.)

For you, me and others on this issue list, the need for a convenient viewing
method is essential enough to preclude switching over, and so that's another
large group of lost users.  You would think that would make it a high priority
for developers...?

Comment 25 sugna 2005-10-25 03:16:55 UTC
I want to use OOo, I really do.  And version 2.0 has nearly convinced me.  But I
start to lose hope when I find such basic functionality as this missing. 
Actually, my preferred solution is the "Hide/show white space" feature that has
recently been implemented in MS Word.  That way you get the best of both worlds
by combining elements of the 'print' and 'normal' views.

I really hope this issue is resolved soon, since it might just bug me enough to
make me return to MS Word once again.
Comment 26 dshumake 2005-10-25 03:53:22 UTC
In WordPerfect this is called Draft view. the better part of WP version compared 
to Word is that in WP pictures are shown in Draft/Normal mode.

I find it terribly disconcerting to have the text broken apart due to the bottom 
of the page. I don't see why anyone would ever need to see the Page layout until 
the very end. A word processor should put the items exactly where you expect.

dshumake
Comment 27 cellocgw 2005-11-13 18:27:04 UTC
As the originator, I wanted to point out a mitigating feature in OO.o 2.0 .  If
you select WebLayout the page view is rather close to NormalView.  
What I don't know is what other things "happen" in WebLayout view that I
wouldn't want to see.  Neither view converts html tags... Anyone else know what
WebLayout does?  I haven't played w/ multi-column text yet.

The only thing I found so far is that neither automatic nor manual page breaks
are indicated on the screen.  But at least this view does provide a continuous
page (headers, footers, blank space not shown).
Comment 28 antigenic 2005-11-14 01:03:45 UTC
The problem with WebLayout is of course the lack of page breaks, but much more
importantly, the lack of *page numbering* of any kind.  This makes it pretty
much useless for a copy editor, translator, etc.
Comment 29 zerohalo 2005-11-14 02:00:31 UTC
An addition problem, not solved by Web Layout, is that if the text is formatted
in columns, then the text is shown in columns and there's no way to read it in
single column format--which is much easier (you don't have to go back up to the
top of the page when you get to the bottom of the first column). Of course one
could change the actual layout of the file to single column, but that is
unproductive in many cases. MS Word "Normal" layout shows the text in a single
column regardless of the page layout, which makes it much easier to read and
work on documents. 
Comment 30 postmorbid 2006-02-03 14:59:23 UTC
Web Layout is useful, but since there is no option to view and edit the text
body and your footnotes at the same time, it is rather useless if you have to
use footnotes. So I concur with the request for having something similar to
"normal" view.
Comment 31 rsearjeant 2006-02-03 15:27:43 UTC
This is probably the biggest single issue which prevents me making the switch
from Word. There certainly seems to be a great deal of agreement on this: is
there any intention to implement this feature?  If so, where does it live in the
roadmap?  

I would really like to know the forward plan (if indeed there is one): what can
we expect to see in version 2.1?  How are development priorities established? 
How much weight do our votes actually carry? Does 'customer demand' mean
anything, in the context of a free product?  Or must we simply accept the
collective whim of Sun and the volunteers?
Comment 32 postmorbid 2006-02-03 15:35:51 UTC
Although I am not sure about "the collective whim" I concur with rsearjeant that
it would be good to know what the reasons against implementing this feature are.
Regarding the roadmap I am lost as well, since the only one I can find under
http://development.openoffice.org/releases/ is, ehm, rather outdated...
Comment 33 lohmaier 2006-03-13 23:04:06 UTC
*** Issue 63048 has been marked as a duplicate of this issue. ***
Comment 34 loevborg 2006-03-13 23:37:35 UTC
I'd like to chime in to ask for a normal view, it's very much needed. Incidently 
another reason "web view" isn't a good alternative is because it has a maximum page 
height (like 40 A4 pages) and breaks pages if a document crosses that threshold.
Comment 35 temcat 2006-03-19 13:01:48 UTC
I'd consider Normal-like mode a basic feature in a word processor. Sad to see
that this, as well as some other badly needed features, are still not implemented.
Comment 36 pesala 2006-08-26 08:07:54 UTC
In Word Perfect's Draft Mode, though I can see the footnote indexes, I cannot edit 
the notes easily (One has to use the menus or shortcut keys). Although the 
footnotes should NOT be visible at the bottom of the page, because that would 
defeat the purpose of Normal mode, I still want to be able to refer to my notes 
while editing, as checking footnotes is an important part of the editing process.

When Normal mode is implemented, please retain the option to edit the notes by 
clicking on the note index number in the text, and retain the option to view the 
notes as a Tooltip if that option is selected in preferences. 
Comment 37 absolution 2006-12-02 15:09:15 UTC
I just submited feature request for possibility of collapsing bottom and top 
page margins in Print view. I think this issue is interconnected with the 
"normal view", so if you are interested in that enhancement, please visit http:/
/qa.openoffice.org/issues/show_bug.cgi?id=72204
Comment 38 sonomagal 2006-12-09 16:58:41 UTC
This feature is absolutely essential for anyone migrating from Microsoft Word -
it's a deal-breaker, IMHO.
Comment 39 antigenic 2006-12-11 00:35:38 UTC
Collapsing not only top and bottom but also left/right margins would be optimal
(would essentially be the MSWord normal view.  Not a programmer, but it seems a
very simple feature to add, yet indispensable.
Comment 40 Mathias_Bauer 2007-02-02 11:01:12 UTC
Thanks for all the suggestions. It took me quite some time to read and
understand everything written here. :-)

I tried to condense and structure the discussion done so far and my first
attempt can be read at

http://wiki.services.openoffice.org/wiki/Writer_Views

I hope it gives you some understanding why such a feature is quite some work to
do and what must be done in Writer before we could even start. I agree with
everybody here that this is an important feature and so does the whole team.
This is one of the bigger features that we will try to implement as soon as some
resources will be available. 
Comment 41 focomoso 2007-04-18 02:32:26 UTC
I'm adding my strong 85th to this issue. It's close to a deal breaker for me. 

I read the wiki and it seems to get it right. My only concern is with
"sophisticated formatting is not seen as part of document (content) creation".
For a screenwriter, the formatting on the page is essential. "- text wrapped at
page or column boundaries" isn't quite right. Text should wrap exactly as it
does in print layout. This is why web layout doesn't work: the right margins are
ignored.

What's extraneous is the stuff around the body text. Something like a "body
layout" might be the best solution. It's exactly like print layout except the
margins (including headers and footers) are cropped. This may help the devs get
around the problems with the layouts, use the same calculations for print
layoun, but display them differently. (i have no idea...).

Also, in word 2007, they've renamed normal mode to draft mode and it no longer
is exactly wysiwyg with print mode (meaning page counts can shift between
modes). A big no no. If "body layout" is implemented properly in Oo, it will be
yet another pluse over word.
Comment 42 temcat 2007-04-18 08:05:15 UTC
To focomoso:

"Text should wrap exactly as it does in print layout."

I don't think so, and if it did, the Normal mode would lose its utility to me. A
part of the Normal mode's nicety is that the text wraps on the window border,
allowing me to set arbitrary text zoom and comfortably work with text of any
font size, being able to see all of it.
Comment 43 focomoso 2007-04-18 22:04:32 UTC
temcat - Then we're talking about different things. How dose what you're looking
for differ from "web layout"? Just in that it counts pages? I can see how that
would be hard for the devs - the page count would be based on a word wrapping
scheme that doesn't match what's on the screen (they'd have to keep track of
both). This would mean that page breaks could (would likely) come in the middle
of a line. This is not the behavior of "normal mode" in ms word for example.

For the screenwriter, the formatting on the page is of the utmost importance. A
layout without it would be useless. This is why the current web layout doesn't
work. (I could live without page counts, switching back to Print Layout to see
what page I'm on isn't as annoying as the cursor jumping around across the top
and bottom margins of each page.)
Comment 44 fmoore 2007-04-19 18:30:34 UTC
I read mba's comments on how producing a 'normal' or 'draft' view will be difficult and resource 
consuming. Perhaps there is an alternative work around.

Mostly what I want out of 'normal' view is to conserve screen real estate. Yes, even in the era of 30" 
monitors (mine's only 20"), there's never enough space to display everything I want to at once. A 
'normal' view does this while still giving me WYSIWYG. 

I could accomplish most of this if OOo would just remember how I had left a document's viewing 
window the last time I viewed it. Currently, if I spend a few seconds (not very long, but irritating if I 
have to do it over and over) dragging the window to be narrow (just enough to show text edge to edge 
without the margin space) and horizontally scroll the doc so it's centered in this marginless space, then 
the next time I open the doc all this dragging and scrolling is gone. If OOo could just remember how I 
left the window containing the doc (OOo does this now) AND the doc's position WITHIN it, I'd be mostly 
satisfied.

Is such an interim tweak difficult?
Comment 45 Mathias_Bauer 2007-04-20 16:45:41 UTC
This is in conflict with the feature that OOo already has created a window of a
defined size before the document data could be read. Changing window size and
position after loading the file would make the window hop.
Comment 46 zerohalo 2007-05-18 14:33:08 UTC
The write up on the wiki is good. Of the different views, IMO the "Draft" view
is the most important. "Online" and "Outline" would both be very useful, but can
be done without (the current "Web view" is similar to the "Online" view).
Another very nice view would be a "Reader" view similar to that implemented in
Word. But these are secondary. On the other hand, a "Draft" view as described in
the wiki is ABSOLUTELY ESSENTIAL in order to win over serious word processor
users from Word. I'm hoping resources will be available soon to implement this.
Thanks for taking it on.

PS. Something else that a Draft view needs to get right is the placement of the
cursor when pressing page down. Currently, there doesn't seem to be much rhyme
or reason to how far down the page is scrolled when pressing page down--which
makes difficult as you have to find your place every time you press page down
rather than the next available line becoming the top line (or second line on the
page). 
Comment 47 macaddict4life 2007-06-08 01:57:41 UTC
This is the ONE THING Word does PERFECTLY. Seriously, the only bloody thing!

The document scrolls smooth and easy. This view's lack of repagination every time you add or delete a 
line means that 700+ page documents I work on at the office don't freeze my application.

Also, the way normal deals with track changes and footnotes is WAY to elegant to have come out of MS.

For me, like others, this a prime reason why I may be paying MS for Office 2k8 Mac.
Comment 48 michael.ruess 2007-06-13 12:01:32 UTC
*** Issue 78369 has been marked as a duplicate of this issue. ***
Comment 49 riemer 2007-06-13 15:52:46 UTC
I think you guys don't realize how important this feature is. _Users_ might not
complain about it very much. But you can fill a whole country with people who do
not even consider using OOo beacause it lacks Normal View. 
I tried to introduce OOo in two different organisations. When I had to admit OOo
doesn't have a Normal View, the ball game was over. One boss was very clear.
"I'm not going to drive a car with three wheels even if it's free. I'm not going
to use a word processor without Normal View either even if it's free."
Normal View is such a basic feature. It has been available in any word processor
since WordStart. It is so easy to add. Not fixing this problem in OOo and
scheduling it for "Later" looks like malice.
In the meantime, I'll have to use MS Word. Please send me a mail as soon as OOo
meets basic requirements.
Comment 50 bobharvey 2007-06-21 08:29:25 UTC
I have to agree.  To have accumulated 91 votes, and for it to remain "later"
after 5 years does show a lack of seriousness when it comes to user feedback. 
The situation is no better with issue 18829 or issue 2497 or issue 7998 or issue
1596.

Surely there should be no 4-digit issue numbers still open by now?   

So what about issue 172?  A priority 3 defect from the year 2000, still
targetted at "later"
Comment 51 jesperjuul 2007-07-17 11:14:39 UTC
This is a showstopper for me.
Many people such as myself (and students, journalists, writers, researchers) use
word processors for text editing and may work on the same text for months or
years and, perhaps, switch to layout mode at the very end. We choose word
processors on the basis of how productive we can be in a given word processor,
and the lack of a normal view option immediately makes Writer very unattractive.

To anybody reading this who does not not understand this issue because they
don't use word processors for text editing: Doing word processing in "print
layout" mode is just as bad as it would be doing programming in "print layout" mode.
Comment 52 jamescole 2007-07-17 11:40:14 UTC
I have been following this issue for a while and have observed no response to
the emphatic and sincere pleas that stretch back four years. This may be a
difficult change but is it not obvious that this is a widely desired and
fundamental feature? 

I am prepared to wait patiently for a few more years, but I think we would all
appreciate a reasoned response from the management as to why this pivotal
usability issue is languishing.
Comment 53 Mathias_Bauer 2007-07-17 12:00:41 UTC
So you overlooked my comment from february this year?

See http://www.openoffice.org/issues/show_bug.cgi?id=4914#desc41

Please follow the link in that comment to read more about the matter.

In addition to that I can tell that we have started to implement what I called
the "precondition" for new layouts/views in Writer: there's ongoing work for
enabling Writer to maintain more than one different layout at a time.

When we can start to implement the Outliner View mainly depends on how many
resources we will need to implement the OOXML import and the ODF 1.2 features,
including improved support for bibliographic data (the latter is the missing
feature in Writer that by far has the most votes for getting implemented!).
Comment 54 rsearjeant 2007-07-17 12:17:22 UTC
Glad to see new contributions to the discussion, but concerned about how we
convert this level of interest into a higher priority for this issue? We're all
voting for this change already - what else can be done?

I'm not clear how the prioritization of work is carried out by the OOo team:
such forward plans as exist on the website
(http://wiki.services.openoffice.org/wiki/Writer_Planned_Work) don't explicitly
mention Normal View. Looking at that list of planned work, could we perhaps
challenge some of the entries?  For example, these three:

- Better support for citations (probably using meta data and text fields)
- Improved handling of sections and associated page styles
- Page break special characters 

Are they really more important than Normal View? As an open project, shouldn't
it be possible to read the team's rationale or justification for the items in
this list?

Another page
(http://wiki.services.openoffice.org/wiki/Writer_Stuff_Under_Evaluation) does
suggest that Normal View is at least on the Writer team's radar.  From reading
the Wiki article on Writer Views (link in a previous post), I think it will need
to wait for the necessary refactoring to be done first (see
http://wiki.services.openoffice.org/wiki/OOo_Writer_Refactoring).

I vote that the refactoring is given a high priority.

Comment 55 jamescole 2007-07-17 12:18:26 UTC
Apologies, I did miss that. I am please to hear it is on the radar and
considered important by the developers but it is registered against the 'later'
milestone which in my experience means the opposite.

Obviously I defer to the votes but I consider this far more fundamental than a
bibliography feature. Word's bibliography feature feels important even though it
is crap and I have not used it since university, where as the reason I do not
use OOo at all day-to-day is the lack of a 'normal view'.
Comment 56 riemer 2007-07-17 13:03:29 UTC
With all due respect, the comparison between the votes for "improved support for
bibliographic data (by far the most)" and the votes for Normal View is a huge
mistake. 
The bibiographic data requests come from OOo users. It is a nice-to-have feature
for existing users. Noone will decide not to use OOo because it lacks bib-data
support.
The people asking for Normal View may be a minority but they are representing
probably hundreds of thousands of people who simply cannot use OOo. The
contributors to this list are just the ones who care to tell you why. Because
the lack of Normal View is an absolute showstopper.

That being said, I am glad to hear that Normal View is back on the radar. I
would love to use OOo again.

Comment 57 Mathias_Bauer 2007-07-17 13:35:09 UTC
I'm not pleased by the "later" target also but the only alternative would be
"not determined". IMHO this would express the current state better but the
"official" task handling states that "not determined" is not acceptable as it is
treated like "no target". So "later" is the default target for everything that
is not yet planned to become integrated until the next major release date. It
doesn't exclude that this might happen though.

About the votes: I didn't want to say that bibliography is more important
because it has more votes; on the contrary, the priority of issues is much more
complicated, see

http://blogs.sun.com/GullFOSS/entry/why_all_issues_are_equal

Comment 58 hamlet9000 2007-09-02 08:54:30 UTC
mba wrote: "I hope it gives you some understanding why such a feature is quite
some work to do and what must be done in Writer before we could even start."

While it does give some insight, I'm afraid it does little to alleviate
meaningful concern.

Every time I show OpenOffice to someone, their response upon learning that it
lacks a Normal/Draft View is virtually identical: "Yuck."

Whenever I setup a new computer (like the one I'm working on now), I'll think to
myself: "Okay, let's install OpenOffice." And then I'll use it for a few days
(like I've been doing with the current installation), and then I'll hit a point
where my composition is being actively hindered by the lack of the Normal/Draft
view.

And I'll think to myself, "Geez, this is ridiculous. There must be a fix for
this by now." And I'll go poking around and discover that, no, there still isn't
a fix. And, as far as anyone can tell, there will never be a fix for this
egregious shortcoming in the program.

Eventually I'll hit enough of these snags that I'll uninstall the crippleware
which appears to be OpenOffice's perpetual fate and dig out the Microsoft Office
 discs.

I have tried to convert dozens of people to OpenOffice. None of them have ever
done so. And the dealbreaker every single time? The lack of a Normal/Draft View
in Writer.

To be clear: We have been waiting more than half a decade for this absolutely
essential feature. The failure to provide it has turned OpenOffice into a joke.

Unfortunately, it's not a particularly funny joke. One can only hope that, at
some point, the development team will resolve to fix their program so that it's
no longer a laughable excuse for a word processing program that's being
outperformed by 20 year old software.

I'll check back in around May 15, 2012. Although I'm not holding out much hope...
Comment 59 riemer 2007-09-11 22:22:39 UTC
LET US MAKE "NORMAL VIEW" OOo's #1 PROBLEM AND TOP PRIORITY

The other day, I installed OOo on my new computer because I needed OOo Impress
(which is free). I dutifully checked out a Draft View option or Hide Margins
option in OOo Writer but it still wasn't there, of course. After five years, it
doesn't have priority for OOo's development team. It does for me, however.

I read the Wiki and now I know there won't be a solution for a very long time
unless we -- discontent former OOo Writer users -- take action. The OOo team is
implementing "preconditions" for different views/layouts. That is a nice excuse
for not implementing the simple feature we need. If it is possible to Show/Hide
text borders (in the View menu), it should also be possible to Show/Hide
_margins_ (alas, not in the View menu). That is not a matter of a different
layout, it is matter of simply hiding the margins on the screen. It may not be
typical Draft View but everybody would be perfectly happy.

It is not on the OOo team's agenda. So let us make their top priority. Waiting
five years is enough. We have had it.

Let us all visit the download and review sites. Let us rate OOo as low as
possible. Add comment where possible, stating that OOo Writer lacks Normal View
as well as Hide Margins which makes the program utterly useless for almost any
purpose.

Mobilize your friends and collegues. Ask them to do the same.

Share the review sites you found with others, so they can rate OOo at that site,
too. Don't forget to mail Ubuntu and Dell. They are trying to promote Unix for
desktops which will be in vain if users are forced to use the OOo Writer
crippleware.

Let us all join to make Hide Margins OOo's #1 problem. And maybe, just maybe,
they will schedule the fixing of this scam for December. Maybe even this year.
Comment 60 jesperjuul 2007-09-11 22:38:20 UTC
I would like to add that the OOo team is doing a great job, and that I think we
are most likely to get this issue resolved if we keep the tone civilized.

I severely doubt that the OOo team is looking for "excuses" as the previous
commenter stated. The OOo team is doing a great job, and as potential users we
should support them in that job, but just state what we are looking for in a
sober manner.
Comment 61 Mathias_Bauer 2007-09-11 23:01:05 UTC
Thanks for your understanding. The previous commenter has disqualified himself
sufficiently by the way he wrote and by showing that he doesn't have the
slightest idea of how this (indeed important) feature has to be implemented. I
wouldn't comment his trolling attempt at all but I feel the need to support your
appreciative comment with some data and arguments.

First I have to admit that we have a very unfortunate situation. In my humble
opinion it can't be denied that OOo developers ignored some important features
for far too long. But knowing this today does not give us the implementation
immediately for all these missing features. We have 5,6 or more important
missing features where each of them will take 2-3 months or more to be
implemented. As the time until 3.0 Beta is limited we can't do all of them. This
is a simple math that can't be overcome by comments like the ones of your two
immediate predecessors.

I'm very pleased that we are able to implement at least an improved notes
functionality (BTW: this one is No. 1 in the list of votes!), the centered view
(No.6), and hopefully the multiple page view (No.2 in the list). I would be glad
to have the normal view (No.8) and the (IMHO even more important and also more
requested) outline view for (No.4) 3.0 also but this is just impossible in the
time remaining. Please consider that we also have to fix many bugs, implement a
new docx filter etc.

The "preconditions" I have written about aren't an excuse, they just describe
what has to be done to get the feature implemented. And we are already working
on them. 
Comment 62 ipporek 2007-11-22 08:08:21 UTC
The lack of this view option is precisely what's holding me back from using
Writer. Really do hope it'd be added in soon.
Comment 63 ipporek 2007-12-19 18:47:13 UTC
Just realized this ain't a planned feature for 2.4 or 3.0 or even 3.x? Means we
gotta wait indefinitely?
Comment 64 riemer 2007-12-19 20:08:20 UTC
@ipporek. That's right. Normal view is not even scheduled for 3.0.
Have you tried AbiWord? It is not as sophisticated as OOo Writer, but at least
it has got all the basics right.
Comment 65 kingsinger 2007-12-24 06:42:07 UTC
I have to concur with everyone else here. It literally blows my mind that OO has
no normal/draft mode. I've been using a word processor in one form or another
since around 1984. I can't think of a half decent word processor that lacks this
feature. WP 5.1 was pretty different than Word 4.0 on the mac. But they both had
draft modes, so it was relatively easy to jump from one to the other. Even
jumping from Wordstar to another program wasn't too hard, because the metaphor
of a continuous scroll of wrapping text remained the same. So let's be clear.
This isn't a Microsoft specific feature. Call it anything you want. Just put it
in there.

I know this is only one feature. But it speaks at a very basic level to the
entire writing environment. As others have said, this is the one feature above
all others that keeps me from investing more than a few minutes into using OO. 

Could I get some basic writing done in OO if I had to do it? Probably. But would
I choose to invest time really digging into it to see everything it can do? Not
at this point. It would be pointless, because I would never work for any
extended period in a program that doesn't have a normal/draft mode. I'm simply
not going to draft a 30 page article or contract in page layout mode. It would
be a truly annoying exercise.

I don't pretend to understand every nuance of the software development process.
But if there isn't some really specialized technical reason why this has not yet
been implemented, I just can't understand how a project like this could be
heading into version 3 still lacking this most basic of features. There is so
much about the open source/free software model that is commendable. But it's
things like this that underscore its problems and limitations.

If I sound a little bitter, perhaps I am. I would love to dig a little deeper
into the world of linux as a full-time computing environment. But without a
usable word processor, I can't even begin to look at linux seriously. 

OO Writer seems the best candidate to be that word processor. But without
normal/draft mode, it is simply not a usable word processor. It's like a car
with a fancy, fuel injected engine, six speaker Dolby surround, and levers where
the steering wheel should be. Maybe in time one could learn to steer with the
levers, but why should one be forced to do that, when it seems like it would be
so easy to give people a choice of interface.

Comment 66 kalpesh99 2008-02-28 19:46:33 UTC
This is such a simple thing and pending for a long time.. What's wrong with
developers?
Comment 67 absolution 2008-02-29 00:24:59 UTC
I'm not the one who is against the OO. I evem wrote my thesis in Writer - and 
it was pain because of lack of normal view really. Finish normal view as soon 
as possible othewise we just cannot lost our time in that anymore. 
Comment 68 riemer 2008-02-29 11:13:46 UTC
@kalpesh99. 
They are already "looking at it". Which after five years really is a major
bread-through!
The development team has a long to-do list. They (should) prioritise as follows:

1. Need-to-have for current users: serious bugs and safety issues. New
essentials requirements, like a .docx filter. All top priority.

2. Need-to-have for candidate-users like you and me: people who would love to
use OOo but cannot do so because Writer lacks basic features, such as "normal view".

3. Nice-to-have for current users: bibliographical support, better ways to
rotate pictures, etc.

4. Nice-to-have for candidate-users: irrelevant. 

Wether the team really prioritises like that, is for you to judge. See paragraph
"Development - past, present, future" at the Writer page http://sw.openoffice.org.

In defense of Matthias Bauer & Co, I should add that he inherited some serious
problems in Writer, especially the facts that part of the code is written in
Java  and that Writer uses fixed page templates.
The latter problem also causes the absence of an outline feature. Solving this
problem requires a drastic overhaul of the code.

Unfortunately, this intended overhaul whiped a quick and dirty fix from the
agenda. You and me, and tens of thousands of other user-candidates, would be
helped enormously by an ugly fix at another programming level.
The overhaul is technically the best thing to do, without any question. But
skipping the quick and dirty fix is a colossal marketing blunder.

I think this problem is keeping Matthias awake at night. If it doesn't, OOo
Writer is doomed...

Meanwhile, my Ubuntu installation is all set-up and ready. But I hardly boot it
because there is no professional word processor for Linux. 
Comment 69 hamlet9000 2008-03-30 06:13:33 UTC
Checking back after six months, I see that OpenOffice remains crippleware unable
to provide even the most basic functionality available on 20 year old word
processors.

This is not how you create a competitive or useful product.
Comment 70 riemer 2008-03-30 13:43:43 UTC
@hamlet9000
As one of the most vocal critics on this subject, I think I have some good news
for you. In the GullFOSS blog (http://blogs.sun.com/GullFOSS/), there is an item
in the ongoing projects called "Writer: Refactoring – separate core from layout". 
This needs to be done before Normal View can be implemented. Currently, the core
is bound to one layout at the time, meaning you cannot switch between layouts
and/or screen renderings.
Actually, the team is repairing a design flaw that is inherited from StarOffice.
Once this is done, we are likely to see several more views (outline, hide
upper/lower margins, etc.) in the same release.
No idea why Mathias hasn't posted this activity on this mailinglist. No idea
either when we will see any results.
Comment 71 riemer 2008-05-27 21:23:26 UTC
Sorry guys, I have to recall my previous optimistic post. The OOo team claim to
be working on the main flaw in Writer and I believe them. Unfortunately, I also
saw the specs of OOo 3.O RC and there is not the slightest hint Normal View will
be implemented any time soon.
The good news is that Google Docs now has a new feature that allows you to
switch between Normal View and Page View
(http://documents.google.com/support/bin/answer.py?answer=95901&hl=en). In this
respect, Google's two-year old,  browser-based word processor does better than
OOo Writer. But then, so does any word processor...
Comment 72 utsusemia 2008-10-27 19:45:09 UTC
I'd really like to be able to use writer, but it's become a huge, unnecessary headache for me every time I try to. I'm a novelist, and it's massively 
frustrating to be forced to compose sentences and paragraphs continually broken 
up by large margins and footers/headers. It makes me lose the flow of the work. 
I can't understand why this issue hasn't been fixed yet, given that it appears 
it's been brought to their attention since 2002. How hard can this possibly be? 
Every other word processor I've ever seen (and I'm talking about twenty YEARS of 
word processors) has managed some sort of draft/normal view functionality. It 
seems just about as basic to me as word wrap. What gives?

Could we at least get a firm target of when it might be implemented? OOo Later 
is not very promising.
Comment 73 max.odendahl 2008-10-31 12:10:17 UTC
*** Issue 83057 has been marked as a duplicate of this issue. ***
Comment 74 tommy27 2008-11-22 16:17:48 UTC
i gave my 2 votes to one of the oldest and most voted issues on this site.

please, change target at least to 3.x... OOoLater is so vague...
Comment 75 goranmarinic 2008-12-15 04:56:37 UTC
I've tried switching to Writer on at least four occasions so far, each time
forgetting why I didn't use it for more than a day and spending hours
researching how to make it feel right. The lack of normal view is killing me
even more than the Word 2007 and its UI which I'm forced to use at work.
Comment 76 riemer 2008-12-15 08:29:35 UTC
They are working on it. However, I saw the specs and Normal View will not have
margins. For the technical guys who made that up, it is a clever thing to do.
For people like you and me, who do the actual (professional) writing, the lack
of margins makes OOo Writer as useless as it is today. Worse still, it is like
having a cigaret and no lighter.
Maybe we should all vote for the function "Hide upper and lower margins". That
way we would get the screen that we need and that any other wordprocessor offers.
Comment 77 absolution 2008-12-15 13:21:07 UTC
Right now I use dirty simply though not ideal workaround. I created page style 
Normal View Page which is simply the A4 minus the upper and bottom margin. When 
I'm in the writing stage I use this, then after I need to work with layout I 
switch back to standard A4 page or whatever I need. Yes, this is really far 
away from perfect but it's still better than nothing. I'm just wondering why 
developers are unwilling or uncapable to create just little bit more refined 
functionality than this.
Comment 78 hamlet9000 2008-12-15 18:48:39 UTC
I get e-mail whenever somebody comments on this issue. I think of it as my "Has
OpenOffice left beta yet?" update. 

I'm joking, of course. But, on the other hand, here we are -- SEVEN YEARS LATER
-- and OpenOffice is still a joke. 

(Your software can't even match the feature set of WordPad? You're a joke. Your
software can't even match the feature set of WordPad but you claim on your
webpage that "OpenOffice.org 3 does everything you want your office software to
do, the way you want it to"? You're a liar. And you know you're a liar.)
Comment 79 tommy27 2008-12-15 19:05:19 UTC
@hamlet9000

i don't like your harsch criticism...

despite this unsolved issue i'm one of those who still consider OOo a better 
program than MS Office.

it seems your comments have nothing constructive in it...
u r trying only to start a flame
Comment 80 absolution 2008-12-15 19:23:16 UTC
@hamlet9000

This criticism is really to hard. OOo has impressive feature set and developed 
quite well thorough the years. Kudos for developers. 

But the lack of the normal view makes using of Writer real pain  for anybody 
who seriously works with the text, that's sure. I'm quite depressed by the fact 
this issue is not adressed, still has average priority and no mileston for the 
implementation signalled...
Comment 81 zerohalo 2008-12-15 22:20:32 UTC
@hamlet:

While I share your frustration, those kind of comments don't help to speed up development. In fact, 
they usually just make matters worse. After all, who likes being called names when they've worked hard 
on something (though it may have some flaws).

Having said that, I do agree that the lack of a "Normal"-type view, is a major strike against OOo's 
adoption. While I use it myself (out of support for open-source projects, and willing to put up with 
some pain), it's not something that I can seriously recommend to my co-workers or organization (all 
who use MS Word) until it's included. (That, and some remaining issues with notes (though must has 
improved on that score since version 2!).) I have a really hard time understanding why it's been so low 
on the priority list while other rather trivial matters have been implemented. 


Comment 82 evaned 2008-12-15 23:15:13 UTC
@tommy27

Just because criticism is harsh doesn't mean it's undeserved. I consider OO
Writer substantially inferior to Word mostly because of this issue, and an
editor of last resort basically entirely because of it. (This includes
preferring Word running in Wine.)

I simply find the margins that you have to deal with rather distracting, and
prefer to edit without them. (Disclaimer: I haven't tried OO3. I tried to get it
set up on my work computer, but failed without root. It's possible it has the
option to collapse top and bottom margins (like Word's page view has had for
years), and this would go a long way towards alleviating my complaint. There are
still a couple other outstanding issues that matter to me though.)

@hamlet9000

That said, I agree with especially zerohalo: insults are not appropriate. Many
of the OO developers are putting some of their spare time to help produce this
for free; without them, it wouldn't be even where it is. They don't owe you
anything, and you are out of place with your insults. I can name a couple dozen
features I consider critical for a word processor to have that OO Writer has and
Wordpad doesn't, and only one the other way, so that argument doesn't
particularly stand up.
Comment 83 hamlet9000 2008-12-16 04:31:12 UTC
I'm sorry you guys got your feelings hurt because I said entirely truthful
things. If you honestly feel insulted that OpenOffice can't match the basic
features present in WordPad, then maybe it would be more productive to actually
provide those basic features instead of feeling bad about people pointing out
the cold, hard reality of the situation.

And if you don't like being called a liar when you blatantly lie about the
features your program offers, then don't lie about the features your program offers.

Both of these are no-brainers.

As for OpenOffice currently being a joke? Well, YMMV. But I'm still laughing.

Some day, though, I'm sure Writer will stop being a half-crippled beta product.

<i>absolution wrote: "This criticism is really to hard. OOo has impressive
feature set and developed quite well thorough the years. Kudos for developers. "</i>

IMO, you're talking about a car that doesn't have any tires. Sure, it may have
leather seats and chrome rims and a 5-disc CD player and 3 separate DVD players
and a GPS navigation system and OnStar and a diamond-studded steering wheel...

... but it still doesn't have any tires!
Comment 84 sbishop 2008-12-16 04:55:39 UTC
Hi. Some of you may remember me from my 2004 comment.

I do feel this is a major adoption blocker for a great many users. A great many
users that you will never hear from because it is the first or one of the first
things they notice. A great many users who are not going to progress beyond
Firefox in migrating to Open Source solutions. This causes frustration, as many
people want to use this software and want to evangelize it to their friends and
peers, but cannot. They see no interest from the developers or drivers of the
project - it isn't even on the road map. The idea that the mode that they spend
99+% of their time using is an afterthought and going to be difficult to
retrofit does not inspire confidence. The idea that OOo has passed 1.0, 2.0 and
3.0 leaves them perplexed - they wonder why all the time has been spent on the
paint job, tuning the engine and fitting a sunroof when the car still doesn't
have a steering wheel.

On the other hand, I work for a high profile Open Source company and the Open
Office project is one of the pieces of technology that gave me a job. I live in
SE Asia and am aware that there are *countries* in these parts using Open Office
because it is superior in their localization. I know there is more to OOo than
the word processor. I know the designers and developers haven't been idle. This
doesn't make it less frustrating and somewhat embarrassing that my wife, a
professional author, is still tapping away on an antique MS Word. The speed it
took her to realize OOo just wasn't going to work for her despite the years of
development and design would make an Open Source evangelist cry. She had never
even thought about how critical this was to her until she saw a system without
it. If you wanted to give her a use case, it would be "I want to enter and edit
large amounts of text without distractions".
Comment 85 loucrazy 2008-12-16 05:13:21 UTC
Enough is enough!

I'm really tired of all the silly comments being made on this issue.

In 2004 I added my support for this issue, and I also voted for it.

Now I am withdrawing my votes because, frankly, I am sick of a bunch of whiners
who insist that everyone should only care about the only detail they can see.

A "Normal" view is still something which would be very useful. Still, during all
these years, many things which are really much more useful have been added.

If you think that Wordpad is superior just because of one small feature
(probably the only one it has), please go ahead and use it instead of
OpenOffice.org. I suspect you might prefer Notepad, too.

It has been repeatedly pointed out that due to early design choices it is now
very difficult to add a normal view. Useless comments like I have read in recent
days will do nothing to push the developer team to do some efforts in that
direction.

Of course, if yo feel that it's easy to add, feel free to submit the relevant
code changes yourself :-)
Comment 86 dgillham25 2008-12-16 05:29:04 UTC
"It has been repeatedly pointed out that due to early design choices it is now
very difficult to add a normal view."

Would this compromise be workable?
Under "Web Layout", if I turned on the "Nonprinting Characters", could there be
some kind of symbol to show where page breaks are?  If I had just that, I would
be happy.

I have been pleased with all the great improvements to Oo over the years, and
would like to thank all those who are working hard to make it a great program,
overall.  
Comment 87 tniemi 2008-12-16 05:53:03 UTC
Please fix this issue. It is one of the oldest, most voted, and still open.

Please see the list of issues with votes greater than 162:
http://www.openoffice.org/issues/buglist.cgi?field0-0-0=votes&type0-0-0=greaterthan&value0-0-0=162
There are not many with more importance.

I am a professional writer and the reason I am still using Microsoft Word is the
missing Normal and Outline modes of Open Office. Writing and organizing a long
(novel length) text with OO Writer is currently a truly painful experience.
Comment 88 absolution 2008-12-16 12:05:51 UTC
Seems like discussion is turning flame... Well, at least something is 
happening. :-)

@hamlet9000
Cool down. Wordpad doesn't have any advanced functions OOo Writer has. Actually 
only thing it has is Normal View, but Page View is missing there. So stop 
insulting other people.

@sbishop
Cool down. You probably don't need Normal View. Maybe you just not work with 
the documents long enough. This thread full of sane and intelligent post which 
explains why the Normal View is very essential feature. I use OpenOffice from 
version 1 and I can say that from my point of view no feature more imoprtant 
than this was implemented. Yes, many fancy feature was, but not this one for 
which I was really waiting for. Anybody who regulary works with long texts 
needs this feature very badly.

Actually I don't find explanation about the "early design choices" credible. 
I'm beginning to feel that the problem comes from neglect of the developers. 
And this makes even more depressed...
Comment 89 goranmarinic 2008-12-16 15:46:37 UTC
Hello again.

First of all, let me say that I truly appreciate the effort put into OO project
by all the contributors. It is a lot of time and effort, and when you work on
something for altruistic reasons, criticism can seem harsher than in case of
commercial products. After all, one might say, how can we complain for something
that is given as a gift? But if the gift promises a lot - and I guess we all
perceive promises and, above all, marketing differently and we have high
expectations for different reasons - it doesn't mean we won't be disappointed
when it fails to fulfill them. Hence, IMHO, hamlet9000 reaction; I personally
sympathise with you because to me this is the one feature that has stopped me
from moving to OO on several occasions; from my perspective OO does not meet
expectations, but I'd refrain from calling it crippleware or a joke: there
aren't many large applications that don't have issues of some kind; we learned
to live with some of them, others are nagging us even today.

One of the reasons why I want OO to succeed is because I highly dislike MS's
development philosophy that tries to cater to everyone, but at the expense of
those who know more, and it bothers me to see something resembling at least
parts of that attitude here. Let me elaborate. I know quite a few people who
wouldn't even notice lack of this feature. However, they wouldn't really notice
a lot of other features or characteristics as well, and they would be equally
inefficient when using Wordpad, Writer and Word. I could go into concrete
examples, but there'd be no point. On the other hand, I know only one person who
actually uses word processors for heavy duty tasks or as her main tool who
doesn't care that much about the draft view. So, in a way, Writer fits the MS
way and it can replace Word for majority of people who are not heavy users. If
that is the goal - as opposed to it being just part of the goal - then Writer
fits the role, not necessarily by design, but it fits. But so long as that is
the case, some of us will regard Word as the tool and Writer as its lightweight
copy, in spite of all the other advantages it may have.

Regarding copying from Word: I don't think there's anything wrong in borrowing
something that work well. Rather, I think it's wrong not to copy a feature if
the only motivation is to make Writer different. If Writer can offer Wordlike
normal/draft view and feature extra customisation that would make it superior to
the Word's view, all the better.

@loucrazy
You may consider this to be a small feature: I don't and I would use Wordpad
before Writer because of this feature. The reason why I don't use Wordpad is
because I use Word.
Comment 90 postmorbid 2008-12-16 17:13:28 UTC
I second everything goranmarinic said in the latest post! I do also understand
that implementing this feature is more complicated than many of us think it is
but it would be helpful if it were eventually decided

a) whether to implement this feature or not
b) a clear roadmap for when it will be implemented if this is the plan

If that were decided upon everyone would know where they were - those of us who
want the feature would either wait for the version that will have it, accept
Writer as it is or decide to stick with it nonetheless. It would also help
making this thread more useful - currently it is dormant for a couple of months
then someone asks for this feature, there is a short discussion and nothing
happens until the next post asking for this feature.

Even if the outcome were wontfix it would be helpful because then we at least
know where we are!
Comment 91 webnesto 2008-12-16 18:09:35 UTC
When I first tried out OO years ago, I would *never* have called this a
"show-stopper" issue.  I've been happily using OO for years, and it never has
been an issue (the only real 'issue' I occassionally run into is word->oo or
oo->word formatting issues... but that's to be expected IMO).

However, I just tried to help my girlfriend make the move to OO.  She is a very
competent individual, has been computing for years, but it much more of an
"average" user than I.  The lack of "Normal" view has nearly lead to a huge
argument.  She can't necessarily articulate WHY it's so important to her, but
apparently it is.  Enough so that I think she's not going to switch.  Keep in
mind that she's not averse to change as a general rule.  She's not going to just
decide that because something is "different" it's "bad".  There is something
*necessary* about the "Normal" view.

I'm taking the time to make this vote for the Normal view, because in my
opinion, what I have witnessed with her discomfort/unwillingness to switch, is
indicative of a huge portion of the populace that needs to be supported for OO
to get the penetration it should.

I believe that *many* other 'issues' will drop off the radar if OO can get real
market penetration (such as my formatting comment above).  And I think that the
"Normal" view will actually go a long way towards accomplishing that:

 - Getting someone to consider shifting away from a BEAST of an application
suite they've been (in all probability) FORCED to learn, and have done so,
potentially, many years ago is a pretty tough challenge.
 - Once they get the gumption to "try it out", they're probably walking into it
with a "I don't know if I'll really like this, but I GUESS I can try it" kind of
attitude.
 - If they're greeted with something familiar/comfortable enough, they'll
quickly get a sense of "Hey!  This isn't so bad.  The skills I already have,
apply here!".
 - If they're greeted with a (however minor) difference that is obvious and
INSURMOUNTABLE, it will make them question whether or not they can learn the
REALLY IMPORTANT differences.  Ergo, they rapidly scurry back to that which is
familiar.

In short, I'm not really sure there there are "real" workflow/functional
requirements surrounding the "Normal" view.  There may be, but I'm definitely
not the audience that needs that.  Regardless, I believe there *is* a valid
improvement on USER EXPERIENCE to be gained by its inclusion.
Comment 92 n8ur 2008-12-16 18:22:22 UTC
I originally voted on this issue a long time ago, but given the flurry of 
recent activity, I thought I'd join in to show I'm still interested.

In fact, I'm *more* interested than ever.  I am currently working on a 
scholarly paper with some 50 footnotes, with several notes per page.  Trying 
to edit across page borders with all the footnotes in the way makes writing 
much more difficult.  Normal view avoids this problem by hiding the footnotes 
unless I want to see them.

I just can't stress how jarring it is to compose across page boundaries.  You 
lose a lot of context in that big gap between the bottom line of one page and 
the top line of the next (and believe me, you lose a lot more when footnotes 
intervene!).

Please... can we get some indication that the development team is hearing 
these concerns, and will do something about them?
Comment 93 hamlet9000 2008-12-16 18:40:55 UTC
@loucrazy: "Due to the decision early on to use square wheels, it is now very
difficult to implement tires on OpenCar."

And then you wonder why I call OpenCar a joke.

@absolution: "OpenCar has a 5-disc CD changer and chrome rims on its square wheels."

That's nice. But it still lacks the most basic functionality of a car.

This isn't just an issue of "Word has it and Writer doesn't" (although when
you're talking about basic functionality, that is an issue). This is an issue of
"every other word processor for the past 20+ years has this feature and Writer
doesn't".

@webnesto: Allow me to articulate what your girlfriend can't. The most basic
functionality of any word processor is the ability to create text. Anyone
responsible for actually creating large bodies of professional text can tell you
that the page-level formatting of that text is completely irrelevant during its
creation. Page View, therefore, offers no benefits during composition -- it is
nothing but a large and significant distraction.

In addition to being a distraction, it also poses a very real hindrance and
obstacle by significantly disrupting the writer's work flow. Most experienced
writers do not write in "stream of consciousness" -- they don't just babble out
words. Instead, they're constantly aware of and checking back over what they
have just written to see how the text is flowing. When you hit the end of a page
in Page View, however, the flow of the text is artificially disrupted. On some
screens and resolutions, you literally cannot see ANY of the text from the
previous page. And even when you can still see some of it, your work palette is
being routinely and senselessly disrupted. (This becomes particularly important
during revision.)

Imagine a paint program that, at regular intervals, changes the dimensions of
the image you're working on or shifts the selected colors in your palette. It's
not a perfect analogy -- but it's representative of the level of disruption
OpenOffice poses to professional writers.

So why can't we just use Web View, which lacks all meaningful formatting?
Because while page-level formatting is nothing but a distraction, other
formatting options may be useful and/or essential for a given project. As others
have noted recently, for example, footnotes are particularly awkward and clumsy
in OpenOffice.

Comment 94 siduri 2008-12-16 19:14:03 UTC
I haven't commented in a few years because I can see there is no point.  But
given the activity generated these days i can't help but put my two cents in.  

IF YOU DON;T UNDERSTAND WHY THIS IS A PROBLEM then you are not a writer.  It
would be like me wondering why you need to have a number pad on a computer,
since i never use numbers if i can help it.  I always have number block off, and
as far as i'm concerned it can be eliminated completely.  That doesn;t mean i
would say others should do without it.  

My impression is that there are those who write and those who program, and for
the most part they don;t overlap.  People who do a lot of writing generally scan
up and down the text, need to see what they wrote above and below, need
footnotes, and SCROLL WITH THE ARROW KEYS.  We generally do not use the mouse
unless we absolutely have to.  It wastes time.  yes. i know it seems strange if
you don;t do lots of writing.  But it does.  I do everything with keys, cancel
word by word, jump paragraphs, highlight words, paragraphs, lines, change to
bold, change to italic, everything. 
 
Scrolling with keys in ooo is like having a car with a steering wheel that once
you turn it, will keep turning more and more on its own even when you stop! 
It's crazy.    

Programmers, no doubt, have other needs, and are just as smart as writers, only
they work in a different way.  I have no problem with that, we all have our way
of thinking and if it weren;t for the geniuses that developed computers, i would
be still waiting for weeks for my mail to get overseas and writing by hand with
a desk covered in papers.  
But please, if you think there is no problem not to have a normal view, just
remember, this may not be true for others.  You certainly need special features
that i would never have any use for at all.  I don;t go around saying you're
whining if you don;t get them and want them.  But you are the guys who do the
programming, so you get to get all your favorite and necessary features.  
We are helpless writers, and can only take the programs that are available, made
by you programmers.  Please try to realize that if you're doing a writing
program, it;s the writers you have to please.  

Meanwhile, i will have to (with great anger and bitterness) stick to microsoft,
hateful as it is, but i'm stuck with it.  I was really enthusiastic about ooo. 
I really wanted it to work.  
Comment 95 utsusemia 2008-12-18 18:30:12 UTC
I'm glad to see so many other people pointing out how important this feature is.
Any chance the actual programmers at OO might give us some clue as to when/if
this might ever happen? I agree that if it just isn't a priority for you, it
would be nice for us to know. If only so I can give up hope and see how well I
do with abiword. 
Comment 96 aaronlawrence 2008-12-20 13:02:31 UTC
You can tell it is not a priority as it has not been addressed or even discussed
for either version 2 or version 3. The developers also said it is very difficult
and only preliminary work to prepare for it was being considered. It seems like
one of those fundamental design issues that basically will never be addressed
because it means reworking too much of the code.
Comment 97 antigenic 2008-12-21 13:21:54 UTC
dgillham25 wrote:Under "Web Layout", if I turned on the "Nonprinting
Characters", could there besome kind of symbol to show where page breaks are? 
If I had just that, I wouldbe happy.

That ought to be quite easy to do, and would probably be satisfactory for at
least half of us who can't use Oo as it now stands.  I've done some programming
with RichTextBox, and it's the easiest thing in the world to redraw dotted lines
at page breaks with each repaint. Add to that caret position info on the status
bar, and that should constitute an acceptable solution (short of the need to
rewrite the entire code as appears to be explanation.)  Web View, with visible
page breaks.

Comment 98 absolution 2008-12-21 14:17:58 UTC
2antigenic - That would not do for me. I also need to see the line lenght and I 
don't wan't to work with small window to make the text readable and workable.

Anyway web view should be what it was supposed to be - wisiwig text editor for 
making online documents. There is no point for page breakes at online documents.

I think collabsible marigns (should not be that difficult to implement, because 
margin could be collapsed changing page style easisly  anyway) would do for the 
most people until the proper normal view is developed.

But after so many years of nothing I have to ask too, if there is some plan to 
seriously adress this issue. If not, I know It's time to change my working 
application.
Comment 99 ggggspam 2008-12-30 13:40:03 UTC
Yes it would be convenient like in MS Word and the other word processors to be
able to scroll by keyboard command (the keyboard arrows) from whole page to
whole page like. Since this issue is around since 2002, I have given up hope it
will ever be installed. Or maybe nobody knows whom to adress? Who (which
non-anonymous person) would program a key command to scroll whole pages? I have
no idea whom to adress and ask to do it.
Comment 100 ggggspam 2009-01-01 23:58:12 UTC
I had to test MS Word, because of issue 4914. Converting the MS Word file to
Writer and trying to print, I found out, it prints in reverse order. For example
page 777 instead of page 1, or page 1 instead of 777 (page 3 instead of page 775
and so forth).
Comment 101 morostrips 2009-01-21 11:36:06 UTC
I NEED "normal" view!!!! PLEASE!!!!
Comment 102 riemer 2009-01-21 12:43:38 UTC
I have come to think Microsoft is behind this with a cunning strategy. 
They support a good and extended wordprocessor, so it is impossible for other
development teams to compete against it. That way OOo eliminates all competition.
Then they implement one or two serious flaws (no Normal View being the absolute
deal-breaker), so OOo is no alternative to MS Word in the end. Everybody has to
use Word again and Microsoft dominates the market with no competition whatsoever!
Comment 103 ggggspam 2009-01-31 07:03:47 UTC
The one and only other word processor, except MS Word, who does offer "normal
view" (wysiwyg) as described in Issue 4914, is Mellel. Pages (in iWork) does not.
Comment 104 goranmarinic 2009-01-31 16:34:24 UTC
However, it seems that Word 2007 ruined the Normal view. OTOH, I dislike the
ribbons immensely and I'm using 2007 only when I'm forced to, so maybe I'm
missing something.
Comment 105 kingsinger 2009-01-31 21:32:45 UTC
I don't know how active wordperfect is at this point, but if memory serves, it
also has a normal view. I'm a Mac user, and wouldn't even consider using Pages,
because it lacks the normal view. I never thought of normal view as a power user
feature. But maybe it is, because the people who seem to be most concerned about
it are people who do extensive work in long or complex documents.

The whole "page metaphor" is so pointless most of the time when you are doing
text editing and writing (as opposed to layout and other formatting). It's just
a distraction, an allusion to the typewriter or something. It's cute. It may
work well for many people. But 25 years or more of "normal" view seems to
indicate that that view works well for a lot of people also.

I just can't understand why the user isn't given the option to have this view in
OO. It's kind of a sad shame, and actually pretty damaging to the linux platform
in general.

This whole netbook phenomena is a huge opportunity for Linux. But for this
deficiency in OO, I might well consider buying a Linux netbook. I already use
Firefox and Thunderbird extensively. But I need a function office suite as well.
The lack of "normal" view means that OO is not functional for my needs. So it'll
likely be a win xp netbook for me.

I bet a lot of other folks are in the same place on this. Alas.

I don't want to learn to drive a car with a joystick where the steering wheel
usually is.
Comment 106 ggggspam 2009-01-31 23:22:45 UTC
Normal view as described in issue 4914:
- Windows XP using ms word 97 (from 1997).
Comment 107 cjasonm 2009-03-17 08:06:06 UTC
This really really really needs to be fixed.  I love this program but it's
embarrassing that such a basic and sensible feature still has not been
implemented.  C'mon you guys!
Comment 108 varlokkur 2009-04-23 18:25:27 UTC
The space between pages is a deal-breaker for me; I would like to use OpenOffice
on my EEE PC netbook, but there's just too much wasted space for such a tiny
screen.  I'm giving this one all the votes I can. 
Thanks
Comment 109 Mathias_Bauer 2009-05-29 14:10:02 UTC
I have updated the dependencies to reflect the status quo of the work on the
preconditions for this issue.
Comment 110 ziplizard 2009-05-31 02:47:52 UTC
This is the ONLY reason I'm using AbiWord over OpenOffice.  Seriously the first
thing I did when I opened OpenOffice for the first time was try to find how to
turn on the 'normal' view.  I can't work without it.
Comment 111 burakalver 2009-07-03 15:48:06 UTC
I am very surprised this feature has not been added in the seven years that it
has been known to be missing. For me personally, this is the #1 missing feature
in Oo writer.
Comment 112 cx714 2009-08-20 21:09:02 UTC
I have recently switched over to Linux for my netbook OS, drawn by the open
source ideology and the promise of an open source equivalent to Microsoft Word.

While Open Office Writer does an admirable job in many ways, the lack of normal
view is a fundamental, deal-breaking flaw. As others have already pointed out,
being able to focus solely on the document at hand is crucial, particularly when
dealing with longer formate creative work.

Moreover, given the reality of netbook screen space, page breaks and top/bottom
margins end up occupying a ridiculous amount of the available screen. Yes, you
can scroll, but to do so effectively takes you out of the "flow" of the work.

I was at first shocked that OpenOffice lacked such a basic and crucial
functionality, but then again, not everyone writes hundred+ page documents on a
regular basis. That said, I am excited that a forum exists to vote for its
inclusion in future revisions. This is a great issue to vote for and, if fixed,
a great fulfillment of the promise of open source.

(That said, given it's been seven years, maybe I shouldn't hold my breath.)

Please include "normal view" as a priority fix!

Thanks.
Comment 113 astronerdboy 2009-09-06 23:39:39 UTC
Seriously guys, how difficult is it to get one of the most BASIC features of a
word processor included in your product?  A normal view is how I have used word
processors for YEARS and that's what I want to continue to use.  Print view and
Web view are fine for when I have a specific need to see how the product will
look in those modes but when I'm working on a document, I don't need that.  I
need my normal view.
Comment 114 mhmulati 2009-09-07 00:06:53 UTC
This feature is very useful to work in a more logical way with the document. It
is a mode which you only need to think about the text and its structure, without
worrying so much about how it will look for the reader in a paper, a pdf or on
the web. This could be done after the writing process and according the
requisites of each specific way of view.
So, everyone that agree with me, please vote in this issue or on those which
this one depends on!

Esse recurso é muito útil para trabalhar de uma forma mais lógica com o
documento. É um modo que você só precisa pensar sobre o texto e sua estrutura,
sem preocupar-se tanto sobre como ele irá aparecer para o leitor em um papel, um
pdf ou na web. Isso poderia ser feito após o processo de escrita e de acordo com
os requisitos de cada modo de visualização específica.
Assim, todos que concordam comigo, por favor, vote nesta issue ou naquelas de
que esta depende!
Comment 115 mdryja 2009-09-16 23:27:37 UTC
This is the only feature preventing me from switching to OO.  :(
Comment 116 ggggspam 2009-09-21 23:39:40 UTC
strongly recommending ms word! - ms word has this feature since about a decade!
Comment 117 ggggspam 2009-09-21 23:41:50 UTC
strongly recommending ms word - has this feature since about ten years
Comment 118 hamlet9000 2009-12-31 01:02:13 UTC
Happy New Year!

... man, OpenOffice still hasn't gotten out of beta by providing the most basic
functionality found in every other word processor in the past two decades?

Well, maybe next year, eh?
Comment 119 tap 2010-01-06 14:52:41 UTC
I'd like to support the adding this new feature to OOo. I miss it much because
it is very useful for writing, reading and editing especially longer documents.
This feature in e.g. Word (and others word processors) helps to move quickly and
correctly in text. Margins and page breaks really obstruct any serious work. OOo
deserves to have this good feature.
Comment 120 tap 2010-01-06 14:53:27 UTC
I'd like to support the adding this new feature to OOo. I miss it much because
it is very useful for writing, reading and editing especially longer documents.
This feature in e.g. Word (and others word processors) helps to move quickly and
correctly in text. Margins and page breaks really obstruct any serious work. OOo
deserves to have this good feature.
Comment 121 cxw 2010-02-16 17:47:23 UTC
Hear, hear!  While I appreciate the refactoring required for Normal mode, I
second focomoso's call (Wed Apr 18 01:32:26 +0000 2007) for a "body layout" view
that does nothing more than trim margins and padding from Print Layout.  It
looks like this idea is issue 103163.  

I think diverting a bit of effort from the main task would be worthwhile in this
case.  Body Layout view would be a way to sell OOo and convince potential users
that the lack of Normal mode isn't going unnoticed.
Comment 122 riemer 2010-02-16 22:04:48 UTC
@cxw. What you are proposing resembles MS Word's Hide/show white space function.
Implementation of this function was requested in 2005 (yes sir, 2005) by Sugna
and again by me in 2007 and 2008. It can't be done. Or more accurately, the OOo
techies do not give it the priority professional writers feel it needs to have. 

Your post is a sympathetic suggestion, but alas, it doesn't stand the slightest
chance. You'll have to wait till all dependencies are fixed. As prirority is set
at P3 and the target milestone at "Later", I suggest you check this issue again
in 2015.
Comment 123 goranmarinic 2010-02-16 22:11:17 UTC
@riemer
So soon? In that case, I guess I still might be on Office 2003 when this one is
solved. 
Comment 124 hamlet9000 2010-02-19 03:01:25 UTC
I'm fairly certain at this point that OpenOffice is primarily funded by
Microsoft to make sure that no open word processor that would actually be
competitive with Microsoft Word ever gets a toehold in the public consciousness.
Comment 125 chadley78 2010-02-19 05:07:16 UTC
Eight Years?!?!  This has been an issue FOR EIGHT YEARS? WTF.  Now that Oracle 
has bought us out, can someone PLEASE get to work on this?  OMG.
Comment 126 htgoebel 2010-07-12 19:38:06 UTC
It's a shame this simple change has still not been implemented!

The miss of this feature hinders me day after day.
Comment 127 uroveits 2010-10-16 17:09:57 UTC
I support this issue, because I think that the same problem is also valid for a
hidden formatted text. What is your opinion?
Comment 128 cbraudy 2010-12-06 14:21:25 UTC
Whatever it takes, implement this capability .... and soon.  The continued
multi-year lack of a "normal" view / layout is appalling and shameful.  As a
result, I find OO unusable for much of the document work I do.  And as others
have written, it is really disgraceful that this hugely desired capability has
been ignored for years ... 
Comment 129 eric.savary 2010-12-07 05:16:33 UTC
*** Issue 115953 has been marked as a duplicate of this issue. ***
Comment 130 murand 2010-12-16 20:59:42 UTC
Don't know what to add, It's obvious that a large number of users want the
equivalent of Word's "Normal"  feature to be made available and yet here it is
(hard to believe - 8 years) later and its still being discussed. 

To steal an old phrase from Nike can we please "Just Do It".
Comment 131 murand 2010-12-16 21:02:30 UTC
Don't know what to add, It's obvious that a large number of users want the
equivalent of Word's "Normal"  feature to be made available and yet here it is
(hard to believe - 8 years) later and its still being discussed.

To steal an old phrase from Nike can we please "Just Do It".
Comment 132 rimugu 2010-12-17 16:39:45 UTC
@murand,
Haven't you heard?
OO does not care about community requirements. LibreOffice is the way to go for
community software.
Comment 133 chadley78 2010-12-17 17:26:45 UTC
@rimugu -- first off, I don't think the Issues reports is the proper venue for snide comments.  Secondly, 
the so-called "LibreOffice Community" was a part of OpenOffice.org for the vast majority of the near-
decade this has been requested, and has done just as little to make it a reality as anyone else.  If they were 
so "community minded" - no issue with this much attention would have been on the "to-do" list for so 
long.  Neither Oracle nor Sun ever prevented the community from fixing any bug it wanted to.  They 
couldn't.  Take your idiotic FUD elsewhere.
Comment 134 rimugu 2010-12-17 17:46:32 UTC
@chadley78
First. You said it, "They were part", that means the community is no longer part
of OO.  And that is undeniable.
Second. Sun and now Oracle have stopped a lot of fixes, who in their right mind
would devote time to this just to have it blocked? And the systematic blocking
of patches is also undeniable. Have you heard of go-oo?
And this is not FUD (no fear for users of having some other better suite, no
uncertainty in a community driven suite, there is uncertainty in this corporate
only supported suite, and doubt, well, a little reading can counter that in this
case), it may not be relevant to the issue, but is true.
OO no longer has community support, only corporate support.
Comment 135 chadley78 2010-12-17 18:02:14 UTC
@rimugu
Yes, they *were* part because *they abandoned OOo* - note, the community didn't abandon OOo, the 
LibreOffice forkers - *they* (of their own free will) abandoned OpenOffice.org.  Oracle didn't force them 
to leave.  Again, it's impossible for them to do that.  Oracle cannot stop people from helping others on 
the users list, from contributing code, from doing anything an open source community is supposed to 
do, but it's open source.  By it's very nature, it resists centralized control.

And, you still missed the major point, which was that the forkers had, what, 8 years, to work on this 
particular fix before Oracle had anything to do with OpenOffice.org.  To blame Oracle for this bug not 
getting fixed for nearly a decade, when they were not even remotely involved during most of that time, 
makes no sense.  So either you are an idiot who doesn't understand the nature of linear time - or you 
are a bald faced liar.  Which is it?

The fact is, this bug report has sat - untouched by *ANYONE* - community, Sun, Oracle, Google, Novell, 
LibreOffice Forkers, you, me - whoever - for over 8.5 years.

I can't code.  I can't afford to pay someone to write the code for me.  I don't have the time to learn how 
to code.  So, yes, I am as guilty as anyone else in not making this fix happen.  But so are the LibreOffice 
Forkers.  They are no more likely to fix this than Oracle, Sun, or Microsoft for that matter.  When they 
actually do fix it, you come back here and let us know, ok?  You know - when there is actually 
something *RELEVANT TO THIS BUG* to say.  Otherwise, shut up.
Comment 136 rimugu 2010-12-17 18:15:30 UTC
@chadley78 "When they actually do fix it, you come back here and let us know, ok?"
Is that a bet?

Oracle may be the new obstacle, but Sun prevented anything useful to be done in
OO before that.

And no the community does not have 8.5 years. Just because a project have that
many years does not mean it get an automatic 8.5 year old community.  Plus is
much much less if we take the amount it took for part the community to give up
on Sun and do go-oo, and even more for the rest of the community to give up on
oracle and do LibreOffice.

What is relevant for this bus is your defense of corporatate inactivity.
Is relevant to know that there are other options out there, that have already
incorporated fixes long rejected by OO.
It is also relevant for this issue to know that what is left of the OO community
(mostly people that does not know of LibreOffice yet) is fed up with the way the
OO overlords ignore theirs users opinion.
It is also relevant (although much less) that fixes long rejected by Sun and now
oracle for other issues are being incorporated, but not here. A thus the
possibility of someone finally committing to do this is much closer that ever
was here. (because there won't be corporate overlords putting obstacles)

Nothing wrong with corporate overlords, they have the right to do what they want
with what they own, except being hypocrite and pretend they mean good to the
community.
Comment 137 chadley78 2010-12-17 18:40:57 UTC
This is my last time feeding the troll...

The OpenOffice.org Community is *OLDER* than 8.5 years.  ****THIS BUG***** is 8.5 years old.  Ergo, 
(again, you don't understand the concept of time), the *COMMUNITY* has had 8.5 years to fix this bug, 
and has done jack squat about it.  Those LibreOffice Forkers included.  (The ones that were a part of the 
OpenOffice.org community before forking, of course.)

There is no evidence that anyone, anywhere, ever submitted a fix for this bug, rejected or otherwise.

If you want to take my words over to LibreOffice as a dare to fix this bug, so be it.  I don't care who 
fixes it, or why, corporate greed, community spirit, righteous indignation towards me personally....  
Whatever, just make it happen.  I care about results, not politics.  And until LibreOffice offers a better 
product than OpenOffice.org - I have no reason to switch.  And until they fix this bug, they have no 
moral highground to stand on as it pertains to this particular bug.  The ones that were a part of this 
community have just as much blame as anyone else, Sun and Oracle included.  Note, I did not say more.  
I said just as much.
Comment 138 chadley78 2010-12-17 18:41:06 UTC
This is my last time feeding the troll...

The OpenOffice.org Community is *OLDER* than 8.5 years.  ****THIS BUG***** is 8.5 years old.  Ergo, 
(again, you don't understand the concept of time), the *COMMUNITY* has had 8.5 years to fix this bug, 
and has done jack squat about it.  Those LibreOffice Forkers included.  (The ones that were a part of the 
OpenOffice.org community before forking, of course.)

There is no evidence that anyone, anywhere, ever submitted a fix for this bug, rejected or otherwise.

If you want to take my words over to LibreOffice as a dare to fix this bug, so be it.  I don't care who 
fixes it, or why, corporate greed, community spirit, righteous indignation towards me personally....  
Whatever, just make it happen.  I care about results, not politics.  And until LibreOffice offers a better 
product than OpenOffice.org - I have no reason to switch.  And until they fix this bug, they have no 
moral highground to stand on as it pertains to this particular bug.  The ones that were a part of this 
community have just as much blame as anyone else, Sun and Oracle included.  Note, I did not say more.  
I said just as much.
Comment 139 eric.savary 2011-06-04 10:39:30 UTC
*** Issue 118120 has been marked as a duplicate of this issue. ***
Comment 140 Dotan Cohen 2011-06-04 13:40:48 UTC
A common usage scenario is to place two documents side by side in two Writer windows. The problem with this is that the document becomes too small: a
workaround is to zoom, remove rulers, and use Web Layout. However in some
documents the layout is very important, and therefore Web Layout cannot be
used.

I propose a new view mode in which the rulers and page margins are not shown,
and the editable part of the page is automatically zoomed to the full width of
the non-chrome Writer window.

Here is a screenshot of two Writer windows open side by side:
http://bugzilla-attachments-118120.openoffice.org/bugzilla/attachment.cgi?id=76581

And here is a mockup of the left Writer window implementing the feature described:
http://bugzilla-attachments-118120.openoffice.org/bugzilla/attachment.cgi?id=76580

Thanks.
Comment 141 Dotan Cohen 2011-06-04 14:12:04 UTC
The CC list for this bug show only @openoffice.org addresses, but obviously other people are getting CCed as well. Please remove the following addresses from the CC list as they all bounce:
bb802@REMOVE@scn.org
www.openoffice.org@REMOVE@07.ath.cx
dmoonfire@REMOVE@hotmail.com
aethralis@REMOVE@mailhost8.hot.ee
ohnoplus@REMOVE@yahoo.com
kesh@REMOVE@xmail.cz
markabq@REMOVE@earthlink.net
mtaylor@REMOVE@grove4.demon.co.uk
reimer@REMOVE@lrz.uni-muenchen.de
cowff@REMOVE@freenet.de
sybillel@REMOVE@unsubscribe.com

Remove the @REMOVE text to get the addresses. Even though they all bounce, I am not comfortable posting the addresses with no protection.

Thanks.
Comment 142 lvehko 2011-06-04 18:53:58 UTC
Anything happening on this? I see someone else submitted a request. I wish I were a programmer; I'd fix it myself.
Comment 143 rgb 2012-11-26 23:54:23 UTC
*** Issue 24016 has been marked as a duplicate of this issue. ***
Comment 144 Ezekiel 2014-05-02 18:12:43 UTC
Just wanted to comment to re "put this on the map."  I signed up for an account on here just so I could put in some votes for this (well and having a way to continuously see word count, but honestly as least with word count I CAN see it whenever I want, I just have to click more than I'd like).

So, yes please (and thank you! you developer you).
Comment 145 cxw 2015-02-10 16:21:16 UTC
@riemer - it's 2015 and I'm checking back :) .  Here's hoping...

(In reply to riemer from comment #122)
> @cxw. What you are proposing resembles MS Word's Hide/show white space
> ...
> chance. You'll have to wait till all dependencies are fixed. As prirority is
> set
> at P3 and the target milestone at "Later", I suggest you check this issue
> again
> in 2015.
Comment 146 Kay 2015-02-10 22:09:43 UTC
For me in 4.1.1, Linux-32, the View menu seems to control this aspect.

Currently, it seems the default "view" is Print Layout, so when I open a document the view I see is "pages"  -- margins, page indications, etc. If I untoggle this button from the "View" menu, I see a layout without any print type formatting -- straight text, no margins defined, no indications of page bottoms etc.

So, from my POV this has been "fixed" and thus changing this to RESOLVED-FIXED. I do not have an actual revision number to document this.

If someone still thinks there is an issue, please reopen and provide some additional information.
Comment 147 evaned 2015-02-11 06:37:43 UTC
I'm not going to reopen (I'm not even sure I *can*) but I'll give my two cents. The web view (the alternative to print view) has been around for ages, and it doesn't satisfy at least *my* wants along this line.

The reason I am voting for and tracking this issue is because the display of pages' top and bottom margins and the space between pages in print view is (i) just visually distracting and (ii) wastes a *ton* of vertical space. (On my small-screened laptop for example, if I set the zoom to a comfortable level for editing then page breaks waste between 1/4 and 1/3 of the vertical space I have for editing.)

Web view is *not* a sufficient alternative, and at least for me the cure is worse than the disease. The are a couple problems with it, but they center around the fact that just because I don't care about the top and bottom margins doesn't mean that I don't care at all about the print layout. Some things that you don't have in Writer's web view that you do get in "old" Word's (pre-2007) normal mode:

* Page numbers. (No saying or responding to "look at page 7" when in web view, 
  because there is no page 7.)

* Line breaks that match the final printed view

* Reasonable footnote editing. Old Word displayed footnotes in a separate pane 
  when in normal mode; Writer just puts them at the end of the document. So if 
  you're editing a 20 page document and want to add a footnote, you add it then 
  have to scroll all the way back up to where you were. If you want to edit one, 
  you have to scroll all the way down, then all the way back up.

From at least Word 2002 (probably starting then but I don't have a 2000 install available), a reasonable alternative to normal mode was offered, which is to allow collapsing of the top and bottom margins in print mode. This also addresses the problems: it stops wasting visual space, it mostly stops being distracting, you get page numbers, you get print layout, and you get reasonable footnote editing. (Really I should change my vote to support *that* behavior... #8006. I think I voted here before deciding I liked that more than normal mode..)
Comment 148 jaredkruger 2015-02-11 07:55:15 UTC
I am in complete agreement with evaned. The web view is completely unhelpful for most of my multi-page documents. I assume most who have been following this issue for years would agree.

This is still the only feature keeping me from using OO.
Comment 149 mroe 2015-02-11 07:59:32 UTC
I never needed the Normal view, but I attend some wishes. Maybe we should have separate issues for it?

> (i) just visually distracting
> (ii) wastes a *ton* of vertical space
> ([…] page breaks waste between 1/4 and 1/3 of the vertical space […])

1. no space between pages (vertical and horizontal) or custom adjustable.


> * Reasonable footnote editing. Old Word displayed footnotes in a separate
> pane when in normal mode;

2. Why not? Displays are mostly wide-screen so there is enough place to have the footnotes beside.

For all other things I understand the point of view but I see the problem how Writer formats pages.

First of all: Writer uses page templates which can assigned manually or automatic.
Second: Images and frames can be anchored in many ways.
Third: Page margins are not print margins! One can have images and text frames outside the page margins maybe as an annotation pane.

My idea was to have a view with only the content inside the page margins, simply cut around this. But how should the content outside the margins be handled? As a simple example: The first page of a letter. Text are begins at 10,5 cm. Above this and beside are frames for the recipient and the sender and logos for the company. The frames can be anchored at the text area, at the page, at the header or at the footer.
Comment 150 hamlet9000 2015-02-11 08:12:09 UTC
What we have here is a feature which has been standard in word processors for 30+ years. Writer can't provide it. The OpenOffice team has simply ignored the issue for nearly a decade and a half.

And now one of the OO team say the issue is "solved" despite the feature still not existing.

The OpenOffice home page currently says, "Apache OpenOffice does everything you want your office software to do, the way you want it to." Obviously that should be updated to read, "Apache OpenOffice has no idea what you want office software to do and still lacks the most basic functionality of a word processor."

This is a bad joke.
Comment 151 aschrage 2015-02-11 09:36:29 UTC
Sorry, but comment #146 totally misses the point. Therefore the bug should be reopened. What is written in comment #147 nicely describes what is needed.
Comment 152 jesperjuul 2015-02-11 10:53:59 UTC
Kay, please reopen this issue. I understand that you are being helpful, but please educate yourself on the use cases and reasons why this issue is not resolved. I have an explanation below.

As stated elsewhere, every word processor in the last 30 years have had a "normal" mode that keeps page numbering and line width, but does not show white space between pages, headers, footers and such (given that they interfere with editing). 

This is what abiword has, word perfect, google docs. This is the "normal view" in Word. It is only Openoffice that lacks this feature.

To compare: Word has 1) "print layout" mode which is WYSIWYG, 2) "Web view" which has no notion of pages or line widths, and 3) "Normal view" which removes headers, footers, and spaces between pages but retains page numbers. OPENOFFICE DOES NOT HAVE THIS MODE!

Why is Normal View important?
------------------------------
A lot of people (authors, journalists) edit very long documents for a long time, and these documents are then later typeset, often by someone else. This means that:
1) Page layout is irrelevant. It gets in the way, and it is as satisfying as it would be to program in "print preview" mode - it would be nonsense.

2) Page numbers and counts are still relevant, given that we are often targeting specific lengths, and that we need to be able to discuss particular pages with editors and layouters.

3) We still need easy access to footnotes, so footnotes cannot simply be tucked away at the end of a 150 page document.

4) We do navigate visually and care about the shape of the individual paragraphs, so we want the line width to be constant, and not a function of window size.

Hence normal view.


PS. I suspect the confusion comes because many people (often programmers) do not really use a word processor for anything longer than a 2-page letter, hence they really use them as lightweight layout programs. But professional writers actually do use word processors for text editing.

(In reply to Kay from comment #146)
> For me in 4.1.1, Linux-32, the View menu seems to control this aspect.
> 
> Currently, it seems the default "view" is Print Layout, so when I open a
> document the view I see is "pages"  -- margins, page indications, etc. If I
> untoggle this button from the "View" menu, I see a layout without any print
> type formatting -- straight text, no margins defined, no indications of page
> bottoms etc.
> 
> So, from my POV this has been "fixed" and thus changing this to
> RESOLVED-FIXED. I do not have an actual revision number to document this.
> 
> If someone still thinks there is an issue, please reopen and provide some
> additional information.
Comment 153 tsudhonimh 2015-02-11 13:30:47 UTC
Look - on this issue and #3959, which is also old enough to start dating, just TRUST THE USERS TO KNOW WHAT FEATURES THEY NEED! 

This is not fixed!  "Web View", with no page information or page width, is not the equivalent of a word processor's view that shrinks up the white space but keeps pagination and line widths.

MSWord's "normal view" is used as an editing tool for documents where the pagination is important, where relative fonht size is important, but the fracking white space is interfering with the editing.

It's also used for editing the text in multi-column pages, such as you see in professional journals ... changing it to one long column but retaining the column width.  It eliminates the annoying bouncine back and forth from top to bottom of column that you get in page view.



=========

"If I untoggle this button from the "View" menu, I see a layout without any print type formatting -- straight text, no margins defined, no indications of page bottoms etc.

So, from my POV this has been "fixed" and thus changing this to RESOLVED-FIXED. I do not have an actual revision number to document this.

If someone still thinks there is an issue, please reopen and provide some additional information."
Comment 154 n8ur 2015-02-11 13:54:11 UTC
I'd also like to ask that this be re-opened -- and finally fixed!  In looking back through the comments, I see that I initially posted back in 2005, and that was several years after the bug was opened.

The need for this enhancement has not gone away.  What we call the "normal" view (because that's what the capability is called in Word) is a basic tool for people who use a word processor seriously.

I would recommend that someone on the development team take a look at Word in normal view mode to see just what it does.  Maybe there's some misunderstanding about the features.

*  It optimizes use of the screen space for drafting.
*  It allows smooth vertical scrolling without page jumps
*  It preserves sentence and paragraph formatting
*  It preserves pagination
*  It allows you to view text outside the margins if desired

I'm not sure why it's been so difficult to get the point across that this is a very desirable feature, and that its lack deters people from using Writer.
Comment 155 tniemi 2015-02-11 16:32:41 UTC
Issue is not resolved and/or fixed.

Please re-open, or it will be re-submitted.
Comment 156 chadley78 2015-02-11 16:39:29 UTC
This is not resolved.  This is not fixed.

NOTHING HAS CHANGED.

This issue has been on here for 13 years.

This issue is old enough to have facial hair.

Whatever idiot changed the status obviously had no idea what the issue was about.

CHANGE IT BACK.

Or - at least change it to "RESOLVED:  WILL NOT FIX" or "RESOLVED:  TEAM DOESN"T GIVE A CRAP"
Comment 157 Dotan Cohen 2015-02-11 17:01:31 UTC
For those who believe that this issue is not resolved, please add your comments to issue #126098 to keep it on track. Thank you.

https://issues.apache.org/ooo/show_bug.cgi?id=126098
Comment 158 okok 2015-02-11 17:02:47 UTC
Not fixed, not resolved, and very necessary, most probably more than most other missing features.

I too believe that the lack of attention to this request results from the programmers' not being writers. For more serious users of a word processor the lack of this feature is cripling.
Comment 159 Andrea Pescetti 2015-02-11 17:24:20 UTC
(In reply to Kay from comment #146)
> If someone still thinks there is an issue, please reopen and provide some
> additional information.

Reopening. Kay, as explained in dozens of comments, the currently implemented solution (Print Layout vs. Web Layout) was already known but deemed insufficient by users who commented here. This is not the place for further discussions.

@chadley78: Please moderate your language and respect volunteers like Kay who spend a lot of time helping the project.

Status update: as far as I know, there is no ongoing development in this issue. The issue will be updated when/if someone starts working on it. If you are a new developer and you want to undertake this task, we'll happily help you as much as we can; if you are not a developer, you can find a capable consultant/developer  and sponsor him/her to work on this issue.
Comment 160 kingsinger 2015-02-11 18:26:37 UTC
What everybody else said. This issue is absolutely not resolved.

I first posted about this issue back in 2007 or something like that. At that point, it had been open for 5 years. It's unbelievable that this most basic of features still doesn't exist almost 8 years later. 

Must be a really hard thing to fix in the code or the developers are very arrogant and are not interested in understanding the needs of people who use a word processor for heavy lifting on long documents.
Comment 161 okok 2015-02-11 18:40:28 UTC
Let us try a positive way...

The lack of this feature is one of the major obstacles on the way of Writer to becoming the word processor of choice for serious users worldwide. Fix it, and see how many users who have for years resorted to using MS-Word finally adopt Writer, as they would have many years ago if it weren't for this missing feature.

:-)
Comment 162 absolution 2015-02-11 18:46:07 UTC
(In reply to Andrea Pescetti from comment #159)
> Reopening. Kay, as explained in dozens of comments, the currently
> implemented solution (Print Layout vs. Web Layout) was already known but
> deemed insufficient by users who commented here. This is not the place for
> further discussions.

Thank you for reopening. I actually think that we all should be grateful to Kay for his diligence in closing this ticket as it aleast alerted us again to this issue which actually makes Writer almost unusable for any real human "writer".

At least for LibreOffice there is a reward for coder who fix this issue, maybe it would be nice to join in support as the 100 USD currently offered is not very tempting https://freedomsponsors.org/issue/203/viewing-option-like-ms-words-normal-view-needed